ChartToJson (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart

## Class ChartToJson

- java.lang.Object
- - com.twosigma.beakerx.chart.ChartToJson

-     public class ChartToJson
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartToJson()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeBinCount(int binCount)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeCategoryGraphics(java.util.List<CategoryGraphics> categoryGraphics)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeCategoryMargin(double categoryMargin)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeCategoryNames(java.util.List<java.lang.String> categoryNames)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeCategoryNamesLabelAngle(double categoryNamesLabelAngle)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeColor(Color color)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeColors(java.util.List<Color> colors)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeConstantBands(java.util.List<ConstantBand> constantBands)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeConstantLines(java.util.List<ConstantLine> constantLines)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeCumulative(boolean cumulative)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeDisplayMode(Histogram.DisplayMode displayMode)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeHeatmapData(java.lang.Number[][] data)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeHeatmapGradientColor(GradientColor data)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeHistogramData(java.util.List<java.lang.Number> data)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeHistogramListData(java.util.List<java.util.List<java.lang.Number>> listData)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeHistogramLog(java.lang.Boolean logY)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeHistogramNames(java.util.List<java.lang.String> names)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeLodThreshold(java.lang.Integer lodThreshold)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeLogX(boolean logX)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeNormed(boolean normed)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializePlotOrientationType(PlotOrientationType orientation)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeRasters(java.util.List<Rasters> rasters)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeTexts(java.util.List<Text> texts)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeTreeMapMode(Mode mode)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeTreeMapRatio(java.lang.Double ratio)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeTreeMapRound(java.lang.Boolean round)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeTreeMapSticky(java.lang.Boolean sticky)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeTreeMapValueAccessor(ValueAccessor valueAccessor)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeXAutoRange(boolean xAutoRange)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeXBound(XYChart xyChart)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeXLogBase(double xLogBase)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeXTickLabelsVisible(boolean xtickLabelsVisible)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeXYGraphics(java.util.List<XYGraphics> xyGraphics)`
    `static java.util.Map<java.lang.Object,java.lang.Object>` | `serializeYTickLabelsVisible(boolean ytickLabelsVisible)`
    `static java.util.Map` | `toJson(java.lang.Object result)`
    `static java.util.List` | `toJsonList(java.lang.Object item)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartToJson

          public ChartToJson()

  - ### Method Detail

    - #### toJson

          public static java.util.Map toJson(java.lang.Object result)

    - #### serializeHistogramLog

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeHistogramLog(java.lang.Boolean logY)

    - #### toJsonList

          public static java.util.List toJsonList(java.lang.Object item)

    - #### serializeHeatmapData

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeHeatmapData(java.lang.Number[][] data)

    - #### serializeHeatmapGradientColor

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeHeatmapGradientColor(GradientColor data)

    - #### serializeConstantLines

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeConstantLines(java.util.List<ConstantLine> constantLines)

    - #### serializeXYGraphics

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeXYGraphics(java.util.List<XYGraphics> xyGraphics)

    - #### serializeConstantBands

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeConstantBands(java.util.List<ConstantBand> constantBands)

    - #### serializeTexts

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeTexts(java.util.List<Text> texts)

    - #### serializeRasters

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeRasters(java.util.List<Rasters> rasters)

    - #### serializeXBound

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeXBound(XYChart xyChart)

    - #### serializeXAutoRange

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeXAutoRange(boolean xAutoRange)

    - #### serializeLogX

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeLogX(boolean logX)

    - #### serializeXLogBase

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeXLogBase(double xLogBase)

    - #### serializeLodThreshold

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeLodThreshold(java.lang.Integer lodThreshold)

    - #### serializeXTickLabelsVisible

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeXTickLabelsVisible(boolean xtickLabelsVisible)

    - #### serializeYTickLabelsVisible

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeYTickLabelsVisible(boolean ytickLabelsVisible)

    - #### serializeDisplayMode

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeDisplayMode(Histogram.DisplayMode displayMode)

    - #### serializeHistogramNames

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeHistogramNames(java.util.List<java.lang.String> names)

    - #### serializeHistogramListData

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeHistogramListData(java.util.List<java.util.List<java.lang.Number>> listData)

    - #### serializeHistogramData

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeHistogramData(java.util.List<java.lang.Number> data)

    - #### serializeColors

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeColors(java.util.List<Color> colors)

    - #### serializeColor

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeColor(Color color)

    - #### serializeCumulative

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeCumulative(boolean cumulative)

    - #### serializeNormed

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeNormed(boolean normed)

    - #### serializeBinCount

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeBinCount(int binCount)

    - #### serializeCategoryNames

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeCategoryNames(java.util.List<java.lang.String> categoryNames)

    - #### serializeCategoryGraphics

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeCategoryGraphics(java.util.List<CategoryGraphics> categoryGraphics)

    - #### serializePlotOrientationType

          public static java.util.Map<java.lang.Object,java.lang.Object> serializePlotOrientationType(PlotOrientationType orientation)

    - #### serializeCategoryNamesLabelAngle

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeCategoryNamesLabelAngle(double categoryNamesLabelAngle)

    - #### serializeCategoryMargin

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeCategoryMargin(double categoryMargin)

    - #### serializeTreeMapRound

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeTreeMapRound(java.lang.Boolean round)

    - #### serializeTreeMapSticky

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeTreeMapSticky(java.lang.Boolean sticky)

    - #### serializeTreeMapValueAccessor

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeTreeMapValueAccessor(ValueAccessor valueAccessor)

    - #### serializeTreeMapRatio

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeTreeMapRatio(java.lang.Double ratio)

    - #### serializeTreeMapMode

          public static java.util.Map<java.lang.Object,java.lang.Object> serializeTreeMapMode(Mode mode)